import { SSELog, TSchedule, TTask } from '../../types/shim';
import BaseSDK from './BaseSDK.js';
declare class TaskSDK extends BaseSDK<'tasks'> {
    constructor();
    add(c: TTask): Promise<boolean>;
    update(prevName: string, c: TTask): Promise<boolean>;
    remove(name: string): Promise<boolean>;
    get(name: string): TTask;
    exist(name: string): boolean;
    getList(): TTask[];
    getConfig(name: string): Promise<{
        command: import("../../types/shim").TTaskType;
        config: import("@hlink/core").TAllConfig;
    }>;
    start(name: string): Promise<import("execa").ExecaReturnValue<string>>;
    run(name: string, log: SSELog): Promise<void>;
    cancel(name: string): boolean;
    confirmRemove(name: string, cancel?: boolean): Promise<void>;
    renameSchedule(preName: string, name: string): boolean;
    cancelSchedule(name: string, write?: boolean): Promise<boolean>;
    createSchedule(option: TSchedule): Promise<boolean>;
}
declare const _default: TaskSDK;
export default _default;
